%define package sumatrapdf
%define version 3.1.2
%define release 1

Name:		wpkg-%{package}
Version:	%{version}
Release:	%{release}%{?dist}
Summary:	%{package} for WPKG on iPasserelle

Group:		System/Softwares
URL:		http://www.ipasserelle.com
Source0:	%{name}-%{version}.tar.gz
License:	misc

BuildRoot:	/var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
BuildRequires:	unix2dos

Requires:	ipasserelle-gp

%description
%{package} for WPKG on iPasserelle

%prep
%setup -q -n %{name}-%{version}

%build
unix2dos packages/*

%install
/bin/rm -rf %{buildroot}
mkdir -p %{buildroot}/home/e-smith/files/shares/wpkg/files/packages
mkdir -p %{buildroot}/home/e-smith/files/shares/wpkg/files/softwares/%{package}
cp -r softwares/* %{buildroot}/home/e-smith/files/shares/wpkg/files/softwares/%{package}/
cp -r packages/* %{buildroot}/home/e-smith/files/shares/wpkg/files/packages/

%clean
/bin/rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGELOG.git
/home/e-smith/files/shares/wpkg/files/

%changelog
* Tue Aug 23 2016 Daniel Berteaud <daniel@firewall-services.com> 3.1.2-1
- Update to 3.1.2

* Fri Dec 4 2015 Daniel Berteaud <daniel@firewall-services.com> 3.1.1-2
- Add native x64 binary

* Tue Nov 3 2015 Daniel Berteaud <daniel@firewall-services.com> 3.1.1-1
- Update to 3.1.1

* Thu Oct 29 2015 Daniel Berteaud <daniel@firewall-services.com> 3.1-1
- Update to 3.1

* Wed Nov 5 2014 Daniel Berteaud <daniel@firewall-services.com> 3.0-1
- Update to 3.0

* Mon May 19 2014 Daniel Berteaud <daniel@firewall-services.com> 2.5.2-1
- update to 2.5.2

* Wed Oct 2 2013 Daniel Berteaud <daniel@firewall-services.com> 2.4-1
- update to 2.4

* Wed Jun 12 2013 Daniel Berteaud <daniel@firewall-services.com> 2.3.2-1
- update to 2.3.2

* Thu Feb 7 2013 Daniel Berteaud <daniel@firewall-services.com> 2.2.1-1
- update to 2.2.1

* Wed Jan 9 2013 Daniel Berteaud <daniel@firewall-services.com> 2.2-1
- update to 2.2

* Thu Jun 7 2012 Daniel Berteaud <daniel@firewall-services.com> 2.1.1
- change version scheme

* Tue Jun 5 2012 Daniel Berteaud <daniel@firewall-services.com>
- initial release with SumatraPDF 2.1.1

